Bug 531102 - RFE/PATCH: add verification of .pyc/.pyo files
Summary: RFE/PATCH: add verification of .pyc/.pyo files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpmlint
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Python3F13
TreeView+ depends on / blocked
 
Reported: 2009-10-26 21:35 UTC by Dave Malcolm
Modified: 2010-02-20 00:09 UTC (History)
3 users (show)

Fixed In Version: rpmlint-0.94-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 557616 (view as bug list)
Environment:
Last Closed: 2010-01-25 23:17:43 UTC


Attachments (Terms of Use)

Description Dave Malcolm 2009-10-26 21:35:23 UTC
Description of problem:
As part of my towards getting a parallel-installable Python 3 stack into Fedora 13 ( https://fedoraproject.org/wiki/Features/Python3F13 ), I want to make sure that for every packaged .pyc/.pyo file, that:
  - the "magic" ABI value in the header matches that of the Python runtime that it's targetting (it appears to be easy to get this wrong; rpmbuild's postprocessing sets this to the ABI value for /usr/bin/python by default).
  - the timestamp matches the mtime of the corresponding .py file (which is currently not correct for bug 526126)

I've created a new test for rpmlint which can be seen here:
http://dmalcolm.fedorapeople.org/rpmlint/add-tests-for-python-bytecode-files-v2.patch

See this thread:
https://www.zarb.org/pipermail/rpmlint-discuss/2009-October/000775.html

Comment 1 Ville Skyttä 2009-10-27 22:17:42 UTC
Yep, thanks, let's keep the discussion on upstream rpmlint-discuss list.  Assigning to myself here for now though until the outcome of the patch is in Fedora's rpmlint.  (But if you'd prefer to see this bug CLOSED UPSTREAM, just go ahead.)

Comment 2 Dave Malcolm 2009-10-27 22:26:26 UTC
Sorry about this; the reason I opened a bz about this is to add it to my tracker bug for Python 3 in Fedora 13 (bug 530613), to make it easy for me to track the various things that need to happen.

For that reason I'd prefer to keep this bug open until we've got a version of the tests that you're happy with and that are actually in F13's rpmlint rpm (either via adding to upstream rpmlint, or via downstream patching in Fedora).

Hope that's OK.

Comment 3 Dave Malcolm 2009-10-27 22:28:01 UTC
(In reply to comment #2)
> tracker bug for Python 3 in Fedora 13 (bug 530613), to make it easy for me to
(which should have read "bug 530636"; sorry)

Comment 4 Ville Skyttä 2009-11-02 21:45:16 UTC
mtime and *.py existence parts of the patch are included in 0.92-1, see upstream list for discussion about the magic bits.

Comment 5 Dave Malcolm 2010-01-25 22:36:33 UTC
For reference: from my reading of the 0.93 release:
http://rpmlint.zarb.org/cgi-bin/trac.cgi/log/trunk?
rev=1718&stop_rev=1682&verbose=on

it looks like this test is in 0.93, the upstream commit was:
http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1687/trunk

so presumably this can be closed out once 0.93 is in rawhide.

Thanks!

Comment 6 Ville Skyttä 2010-01-25 23:17:43 UTC
Yep, that's right, it's in 0.93-2 which will hopefully appear in the next Rawhide push.  Thank you.

Comment 7 Fedora Update System 2010-01-25 23:28:47 UTC
rpmlint-0.93-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rpmlint-0.93-2.fc12

Comment 8 Fedora Update System 2010-01-31 23:23:08 UTC
rpmlint-0.94-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rpmlint-0.94-1.fc12

Comment 9 Fedora Update System 2010-02-20 00:09:36 UTC
rpmlint-0.94-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.